void prints(short val);

int main()
{
  unsigned short i, val, val2;

  for (i = -2; (short)i < 3; i++) {
    val = i; val2 = ++val; prints(val); prints(val2);
    val = i; val2 = --val; prints(val); prints(val2);
    val = i; val2 = val++; prints(val); prints(val2);
    val = i; val2 = val--; prints(val); prints(val2);
  }

  return 0;
}
